Commit 785165ad authored by Alexandros Georgantas's avatar Alexandros Georgantas

Updated libraries and fix for book remove

parent 03532ae3
......@@ -115,9 +115,7 @@ export class Dashboard extends React.Component {
removeBook(book) {
const { deleteCollection } = this.props.actions
deleteCollection(book).then(res => {
this.removeTeamsForBook(book)
})
deleteCollection(book)
}
/*
......
......@@ -7,7 +7,6 @@ import { configureStore, Root } from 'pubsweet-client'
import { AppContainer } from 'react-hot-loader'
import createHistory from 'history/createBrowserHistory'
import routes from './routes'
const history = createHistory()
......
......@@ -21,7 +21,7 @@
"dependencies": {
"@pubsweet/db-manager": "^0.0.8",
"@pubsweet/logger": "^0.0.1",
"@pubsweet/ui": "^0.2.0",
"@pubsweet/ui": "2.0.0",
"@pubsweet/component-polling-client": "^0.0.1",
"@pubsweet/component-polling-server": "^0.0.2",
"authsome": "0.0.9",
......@@ -30,26 +30,26 @@
"lodash": "4.17.4",
"prop-types": "^15.6.0",
"pubsweet": "^1.1.6",
"pubsweet-client": "^1.0.0",
"pubsweet-client": "2.0.0",
"pubsweet-component-bookbuilder": "^0.2.0",
"pubsweet-component-editoria-dashboard": "^0.0.5",
"pubsweet-component-epub": "^0.2.10",
"pubsweet-component-epub-frontend": "^0.1.0",
"pubsweet-component-epub": "^0.2.13",
"pubsweet-component-epub-frontend": "^0.1.3",
"pubsweet-component-ink-backend": "^0.1.1",
"pubsweet-component-ink-frontend": "^0.2.3",
"pubsweet-component-login": "^0.5.5",
"pubsweet-component-manage": "^0.2.0",
"pubsweet-component-manage": "^0.2.3",
"pubsweet-component-navigation": "^0.3.0",
"pubsweet-component-password-reset-backend": "^0.2.0",
"pubsweet-component-password-reset-frontend": "^0.2.1",
"pubsweet-component-signup": "^0.4.1",
"pubsweet-component-signup": "1.0.5",
"pubsweet-component-teams-manager": "1.0.0",
"pubsweet-component-theme-editoria": "^0.0.3",
"pubsweet-component-users-manager": "1.0.0",
"pubsweet-component-vivliostyle-viewer": "^0.0.2",
"pubsweet-component-wax": "^0.5.11",
"pubsweet-server": "^1.0.6",
"pubsweet-theme-plugin": "^0.0.1",
"pubsweet-theme-plugin": "^0.0.3",
"react": "^16.2.0",
"react-bootstrap": "0.32.1",
"recompose": "^0.26.0",
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment